DEBSPAWN-UPDATE(1)

NAME
debspawn-update - Update a container image

SYNOPSIS

debspawn update [-h|--help] [--variant] [-a|--arch] [--suite] [--recreate] {NAME}

DESCRIPTION

Update a container base image. This achieves the same thing as running apt update && apt full-upgrade on the base image and making the changes permanent. Additionally, debspawn update will prune all caches and ensure all required packages and scripts are installed in the container image.

Running debspawn update on the images that are in use about once a week ensures builds will happen faster, due to less changes that have to be done prior to each build.

EXAMPLES

Updating images is easy, you just pass the same arguments you used for creating them, but use the update subcommand instead:

    			$ debspawn update sid
    			$ debspawn update --arch=i386 cosmic

OPTIONS

NAME
    The name of the container image (usually a distribution suite name).

-h|--help
    Print brief help information about available commands.

--variant
    Set the variant of the selected image, that was used for bootstrapping.

-a|--arch
    The architecture of the base image that should be selected.

--suite
    Explicitly set a suite name (instead of having it derived from the container name).

--recreate
    Re-create the container image from scratch using the settings used to create it previously, instead of just updating it.

SEE ALSO

debspawn-create(1), debspawn-build(1).

AUTHOR

This manual page was written by Matthias Klumpp <mak@debian.org>.

COPYRIGHT
Copyright © 2018-2022 Matthias Klumpp